org.springframework.transaction.aspectj

## Class AspectJJtaTransactionManagementConfiguration

- java.lang.Object
- - org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration
  - - org.springframework.transaction.aspectj.AspectJTransactionManagementConfiguration
    - - org.springframework.transaction.aspectj.AspectJJtaTransactionManagementConfiguration

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.context.annotation.ImportAware

    @Configuration
     @Role(value=2)
    public class AspectJJtaTransactionManagementConfiguration
    extends AspectJTransactionManagementConfiguration

`@Configuration` class that registers the Spring infrastructure beans necessary to enable AspectJ-based annotation-driven transaction management for the JTA 1.2 `Transactional` annotation in addition to Spring's own `Transactional` annotation.

Since:
  5.1
Author:
  Juergen Hoeller
See Also:
  `EnableTransactionManagement`, `TransactionManagementConfigurationSelector`

### Field Summary

### Fields inherited from class org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

`enableTx, txManager`

### Constructor Summary

Constructors
Constructor and Description
`AspectJJtaTransactionManagementConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.springframework.transaction.aspectj.JtaAnnotationTransactionAspect` `jtaTransactionAspect()`

### Methods inherited from class org.springframework.transaction.aspectj.AspectJTransactionManagementConfiguration

`transactionAspect`

### Methods inherited from class org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

`setImportMetadata, transactionalEventListenerFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AspectJJtaTransactionManagementConfiguration

    public AspectJJtaTransactionManagementConfiguration()

### Method Detail

#### jtaTransactionAspect

    @Bean(name="org.springframework.transaction.config.internalJtaTransactionAspect")
     @Role(value=2)
    public org.springframework.transaction.aspectj.JtaAnnotationTransactionAspect jtaTransactionAspect()